Package org.eclipse.rdf4j.model.vocabulary

## Class SKOS

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.SKOS

-     public class SKOS
      extends Object

  Vocabulary constants for the Simple Knowledge Organization System (SKOS).
  Author:
    Jeen Broekstra
  See Also:
    SKOS Simple Knowledge Organization System Reference

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `ALT_LABEL` | The skos:altLabel lexical label property.
    `static IRI` | `BROAD_MATCH` | The skos:broadMatch relation.
    `static IRI` | `BROADER` | The skos:broader relation.
    `static IRI` | `BROADER_TRANSITIVE` | The skos:broaderTransitive relation.
    `static IRI` | `CHANGE_NOTE` | The skos:changeNote property.
    `static IRI` | `CLOSE_MATCH` | The skos:closeMatch relation.
    `static IRI` | `COLLECTION` | The skos:Collection class
    `static IRI` | `CONCEPT` | The skos:Concept class
    `static IRI` | `CONCEPT_SCHEME` | The skos:ConceptScheme class
    `static IRI` | `DEFINITION` | The skos:definition property.
    `static IRI` | `EDITORIAL_NOTE` | The skos:editorialNote property.
    `static IRI` | `EXACT_MATCH` | The skos:exactMatch relation.
    `static IRI` | `EXAMPLE` | The skos:example property.
    `static IRI` | `HAS_TOP_CONCEPT` | The skos:hasTopConcept relation.
    `static IRI` | `HIDDEN_LABEL` | The skos:hiddenLabel lexical label property.
    `static IRI` | `HISTORY_NOTE` | The skos:historyNote property.
    `static IRI` | `IN_SCHEME` | The skos:inScheme relation.
    `static IRI` | `MAPPING_RELATION` | The skos:mappingRelation relation.
    `static IRI` | `MEMBER` | The skos:member relation.
    `static IRI` | `MEMBER_LIST` | The skos:memberList relation.
    `static String` | `NAMESPACE` | The SKOS namespace: http://www.w3.org/2004/02/skos/core#
    `static IRI` | `NARROW_MATCH` | The skos:narrowMatch relation.
    `static IRI` | `NARROWER` | The skos:narrower relation.
    `static IRI` | `NARROWER_TRANSITIVE` | The skos:narrowerTransitive relation.
    `static IRI` | `NOTATION` | The skos:notation property.
    `static IRI` | `NOTE` | The skos:note property.
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the SKOS namespace.
    `static IRI` | `ORDERED_COLLECTION` | The skos:OrderedCollection class
    `static IRI` | `PREF_LABEL` | The skos:prefLabel lexical label property.
    `static String` | `PREFIX` | The recommended prefix for the SKOS namespace: "skos"
    `static IRI` | `RELATED` | The skos:related relation.
    `static IRI` | `RELATED_MATCH` | The skos:relatedMatch relation.
    `static IRI` | `SCOPE_NOTE` | The skos:scopeNote property.
    `static IRI` | `SEMANTIC_RELATION` | The skos:semanticRelation relation.
    `static IRI` | `TOP_CONCEPT_OF` | The skos:topConceptOf relation.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SKOS()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The SKOS namespace: http://www.w3.org/2004/02/skos/core#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      The recommended prefix for the SKOS namespace: "skos"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the SKOS namespace.

    - #### CONCEPT

          public static final IRI CONCEPT

      The skos:Concept class
      See Also:
        The skos:Concept Class

    - #### CONCEPT_SCHEME

          public static final IRI CONCEPT_SCHEME

      The skos:ConceptScheme class
      See Also:
        Concept Schemes

    - #### COLLECTION

          public static final IRI COLLECTION

      The skos:Collection class
      See Also:
        Concept Collections

    - #### ORDERED_COLLECTION

          public static final IRI ORDERED_COLLECTION

      The skos:OrderedCollection class
      See Also:
        Concept Collections

    - #### PREF_LABEL

          public static final IRI PREF_LABEL

      The skos:prefLabel lexical label property.
      See Also:
        Lexical Labels

    - #### ALT_LABEL

          public static final IRI ALT_LABEL

      The skos:altLabel lexical label property.
      See Also:
        Lexical Labels

    - #### HIDDEN_LABEL

          public static final IRI HIDDEN_LABEL

      The skos:hiddenLabel lexical label property.
      See Also:
        Lexical Labels

    - #### IN_SCHEME

          public static final IRI IN_SCHEME

      The skos:inScheme relation.
      See Also:
        Concept Schemes

    - #### HAS_TOP_CONCEPT

          public static final IRI HAS_TOP_CONCEPT

      The skos:hasTopConcept relation.
      See Also:
        Concept Schemes

    - #### TOP_CONCEPT_OF

          public static final IRI TOP_CONCEPT_OF

      The skos:topConceptOf relation.
      See Also:
        Concept Schemes

    - #### MEMBER

          public static final IRI MEMBER

      The skos:member relation.
      See Also:
        Concept Collections

    - #### MEMBER_LIST

          public static final IRI MEMBER_LIST

      The skos:memberList relation.
      See Also:
        Concept Collections

    - #### NOTATION

          public static final IRI NOTATION

      The skos:notation property.
      See Also:
        Notations

    - #### CHANGE_NOTE

          public static final IRI CHANGE_NOTE

      The skos:changeNote property.
      See Also:
        Documentation Properties (Note Properties)

    - #### DEFINITION

          public static final IRI DEFINITION

      The skos:definition property.
      See Also:
        Documentation Properties (Note Properties)

    - #### EDITORIAL_NOTE

          public static final IRI EDITORIAL_NOTE

      The skos:editorialNote property.
      See Also:
        Documentation Properties (Note Properties)

    - #### EXAMPLE

          public static final IRI EXAMPLE

      The skos:example property.
      See Also:
        Documentation Properties (Note Properties)

    - #### HISTORY_NOTE

          public static final IRI HISTORY_NOTE

      The skos:historyNote property.
      See Also:
        Documentation Properties (Note Properties)

    - #### NOTE

          public static final IRI NOTE

      The skos:note property.
      See Also:
        Documentation Properties (Note Properties)

    - #### SCOPE_NOTE

          public static final IRI SCOPE_NOTE

      The skos:scopeNote property.
      See Also:
        Documentation Properties (Note Properties)

    - #### BROADER

          public static final IRI BROADER

      The skos:broader relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Semantic Relations Section

    - #### BROADER_TRANSITIVE

          public static final IRI BROADER_TRANSITIVE

      The skos:broaderTransitive relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Semantic Relations Section

    - #### NARROWER

          public static final IRI NARROWER

      The skos:narrower relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Semantic Relations Section

    - #### NARROWER_TRANSITIVE

          public static final IRI NARROWER_TRANSITIVE

      The skos:narrowerTransitive relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Semantic Relations Section

    - #### RELATED

          public static final IRI RELATED

      The skos:related relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Semantic Relations Section

    - #### SEMANTIC_RELATION

          public static final IRI SEMANTIC_RELATION

      The skos:semanticRelation relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Semantic Relations Section

    - #### BROAD_MATCH

          public static final IRI BROAD_MATCH

      The skos:broadMatch relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Mapping Properties Section

    - #### CLOSE_MATCH

          public static final IRI CLOSE_MATCH

      The skos:closeMatch relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Mapping Properties Section

    - #### EXACT_MATCH

          public static final IRI EXACT_MATCH

      The skos:exactMatch relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Mapping Properties Section

    - #### MAPPING_RELATION

          public static final IRI MAPPING_RELATION

      The skos:mappingRelation relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Mapping Properties Section

    - #### NARROW_MATCH

          public static final IRI NARROW_MATCH

      The skos:narrowMatch relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Mapping Properties Section

    - #### RELATED_MATCH

          public static final IRI RELATED_MATCH

      The skos:relatedMatch relation.
      See Also:
        SKOS Simple Knowledge Organization System Reference - Mapping Properties Section

  - ### Constructor Detail

    - #### SKOS

          public SKOS()